summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorpaul <paul@7b491191-dbf0-0310-aff6-d879d4d69008>2007-05-14 11:14:29 +0000
committerpaul <paul@7b491191-dbf0-0310-aff6-d879d4d69008>2007-05-14 11:14:29 +0000
commitc93ace1ab081b4cb26e7275fab2513bbb6af6970 (patch)
tree35030b6a33d92d4b3909dc15b6071c8cdcc6e684 /debian
parent6cf3e230a94a61772a5659a869d737c9b418036b (diff)
downcase all debconf keys
git-svn-id: https://svn.ic-s.nl/svn/dbmail/branches/dbmail_2_2_branch@2569 7b491191-dbf0-0310-aff6-d879d4d69008
Diffstat (limited to 'debian')
-rw-r--r--debian/dbmail.config14
-rw-r--r--debian/dbmail.postinst18
-rw-r--r--debian/dbmail.templates14
3 files changed, 23 insertions, 23 deletions
diff --git a/debian/dbmail.config b/debian/dbmail.config
index 33143ec6..382888e9 100644
--- a/debian/dbmail.config
+++ b/debian/dbmail.config
@@ -91,11 +91,11 @@ while [ 1 ]; do
if [ "$RET" = "sql" ]; then
break
fi
- db_input medium dbmail/ldap/HOSTNAME || true
- db_input medium dbmail/ldap/PORT || true
- db_input medium dbmail/ldap/BASE_DN || true
- db_input low dbmail/ldap/FIELD_UID || true
- db_input low dbmail/ldap/FIELD_CID || true
+ db_input medium dbmail/ldap/hostname || true
+ db_input medium dbmail/ldap/port || true
+ db_input medium dbmail/ldap/base_dn || true
+ db_input low dbmail/ldap/field_uid|| true
+ db_input low dbmail/ldap/field_cid || true
db_input medium dbmail/ldap/bind_anonymous || true
;;
4)
@@ -103,8 +103,8 @@ while [ 1 ]; do
if [ "$RET" = "true" ]; then
break
fi
- db_input medium dbmail/ldap/BIND_DN || true
- db_input medium dbmail/ldap/BIND_PW || true
+ db_input medium dbmail/ldap/bind_dn || true
+ db_input medium dbmail/ldap/bind_pw || true
;;
esac
diff --git a/debian/dbmail.postinst b/debian/dbmail.postinst
index fb11ceb8..c4959101 100644
--- a/debian/dbmail.postinst
+++ b/debian/dbmail.postinst
@@ -68,14 +68,14 @@ case "$1" in
db_get dbmail/start_sieve || true; START_SIEVE=$RET
if [ "$AUTHDRIVER" = "ldap" ]; then
- db_get dbmail/ldap/HOSTNAME || true; LDAP_HOST=$RET
- db_get dbmail/ldap/PORT || true; LDAP_PORT=$RET
- db_get dbmail/ldap/BASE_DN || true; LDAP_BASE_DN=$RET
- db_get dbmail/ldap/BIND_DN || true; LDAP_BIND_DN=$RET
- db_get dbmail/ldap/BIND_PW || true; LDAP_BIND_PW=$RET
+ db_get dbmail/ldap/hostname || true; LDAP_HOST=$RET
+ db_get dbmail/ldap/post || true; LDAP_PORT=$RET
+ db_get dbmail/ldap/base_dn || true; LDAP_BASE_DN=$RET
+ db_get dbmail/ldap/bind_dn || true; LDAP_BIND_DN=$RET
+ db_get dbmail/ldap/bind_pw || true; LDAP_BIND_PW=$RET
db_get dbmail/ldap/bind_anonymous || true; LDAP_BIND_ANONYMOUS=$RET
- db_get dbmail/ldap/FIELD_UID || true; LDAP_UID=$RET
- db_get dbmail/ldap/FIELD_CID || true; LDAP_CID=$RET
+ db_get dbmail/ldap/field_uid || true; LDAP_UID=$RET
+ db_get dbmail/ldap/field_cid || true; LDAP_CID=$RET
if [ -z "$LDAP_BASE_DN" ]; then
# For the domain really.argh.org we create the basedn
@@ -88,10 +88,10 @@ case "$1" in
if [ -n "$LDAP_BASE_DN" ] && [ -z "$LDAP_BIND_DN" ] && [ "$LDAP_BIND_ANONYMOUS" = "false" ]; then
LDAP_BIND_DN="cn=dbmail,$LDAP_BASE_DN";
- db_set dbmail/ldap/BIND_DN "$LDAP_BIND_DN"
+ db_set dbmail/ldap/bind_dn "$LDAP_BIND_DN"
if [ -x /usr/bin/pwgen ]; then
LDAP_BIND_PW=`pwgen -n`
- db_set dbmail/ldap/BIND_PW "$LDAP_BIND_PW"
+ db_set dbmail/ldap/bind_pw "$LDAP_BIND_PW"
fi
fi
diff --git a/debian/dbmail.templates b/debian/dbmail.templates
index 6abcc658..278c5a7e 100644
--- a/debian/dbmail.templates
+++ b/debian/dbmail.templates
@@ -73,30 +73,30 @@ _Description: Start the timsieve server after reboot?
their sieve scripts using a compatible client such as kmail,
horde/ingo or squirrelmail/avelsieve.
-Template: dbmail/ldap/PORT
+Template: dbmail/ldap/port
Type: string
_Description: Port used by the LDAP server:
Please enter the port which your LDAP server is listening on.
The default port is 389.
-Template: dbmail/ldap/HOSTNAME
+Template: dbmail/ldap/hostname
Type: string
_Description: Hostname of the LDAP server:
Please enter the name of the host your LDAP server is running at.
-Template: dbmail/ldap/BASE_DN
+Template: dbmail/ldap/base_dn
Type: string
_Description: LDAP base DN:
Please enter the DN where Dbmail should start searching for
user accounts.
-Template: dbmail/ldap/FIELD_UID
+Template: dbmail/ldap/field_uid
Type: string
_Description: Field which contains the user login name of the user:
Please enter the LDAP attribute that will contain the username.
The standard account uses uid.
-Template: dbmail/ldap/FIELD_CID
+Template: dbmail/ldap/field_cid
Type: string
_Description: Field which contains the group id number of the user:
Please enter the LDAP attribute that will contain the group id number.
@@ -108,13 +108,13 @@ _Description: Use an anonymous connection to the LDAP server?
Please choose this option if the LDAP server does not require
authentication to search the LDAP tree.
-Template: dbmail/ldap/BIND_DN
+Template: dbmail/ldap/bind_dn
Type: string
_Description: DN used to bind to the LDAP server:
Please enter the DN which should be used to connect to the LDAP
server.
-Template: dbmail/ldap/BIND_PW
+Template: dbmail/ldap/bind_pw
Type: password
_Description: Password to bind to the LDAP server:
Please enter the password which should be used to connect to the LDAP